Subject: bug#79015: garbled GTK apps

From: Thomas Danckaert <[email-masked]>
Date: Mon, 14 Jul 2025 15:03:43 +0200 (CEST)

Hi Guix,

as of the past weeks, windows for GTK/Gnome applications (Console, 
Web, Settings, ...) do not render correctly anymore on my Guix / 
Gnome desktop.  I've attached a screenshot of the Console 
application, similar empty windows without title bar are shown when I 
start the other listed GTK applications.  Other applications (Emacs, 
vlc, Icecat, GIMP) work correctly.

I'm currently on guix 5efefe2, but the problem has been there for 10 
or so (I think since I pulled on 3 july so).  I've been regularly 
pulling and updating in hope that the issue might have been solved, 
but no luck so far :)

Any ideas?

Thank you!

Thomas